# $Id: crossfade.rb 24 2005-04-09 13:53:14Z tilman $

include Redact

EDJE.collection("crossfade") do |c|
	c.part("background", :rect).description do |d|
		d.color = "#ffffff"
	end

	c.part("rect_red", :rect) do |p|
		p.description do |d|
			d.color = "#00ff0000"
			d.rel[1].set_rel(1.0, 0.0)
		end

		p.description("default", 1.0) do |d|
			d.color = "#ff"
			d.rel[1].set_rel(1.0, 0.4)
		end
	end

	c.part("rect_green", :rect) do |p|
		p.description do |d|
			d.color = "#ff000080"
			d.rel[0].set_rel(0.0, 1.0)
		end

		p.description("default", 1.0) do |d|
			d.color = "#00ff"
			d.rel[0].set_rel(0.0, 0.6)
		end
	end

	c.part("text", :text) do |p|
		p.description do |d|
			d.color = "#00"

			d.text = "cuddletech"
			d.font = "Vera"
			d.font_size = 12
			d.set_fit(true, false)
		end
	end

	c.program("animate", :set_state) do |p|
		p.signal = "mouse,clicked,1"
		p.source = "background"
		p.value = 1.0
		p.mode = :accelerate
		p.time = 1.0
		p.targets << ProgramTarget.new(c.part("rect_red"))
		p.targets << ProgramTarget.new(c.part("rect_green"))
	end
end
